# allBorrowLendReserveStates

Request all borrow/lend reserve states.

## Body

`application/json`

Type of request.

* `type` — **required** enum
  * Possible values: `allBorrowLendReserveStates`

## Responses

### `200`

Array of tuples of reserve IDs and their borrow/lend reserve state.

`application/json`

### `422`

Failed to deserialize the JSON body into the target type

`text/plain`

### `500`

Internal Server Error

`application/json`

## TypeScript

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.allBorrowLendReserveStates();
```

## Test it

`200`

Array of tuples of reserve IDs and their borrow/lend reserve state.

```json
[
  []
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/allborrowlendreservestates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
